- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OpenMesh::Iterators::ConstFaceHalfedgeIterT< Mesh > Class Template Reference

Circulator. More...

`#include <OpenMesh/Mesh/Iterators/CirculatorsT.hh>`

List of all members.

## Public Member Functions
| ConstFaceHalfedgeIterT ()
| Default constructor.
| ConstFaceHalfedgeIterT (mesh_ref _mesh, typename Mesh::FaceHandle _start)
| Construct with mesh and a typename Mesh::FaceHandle.
| ConstFaceHalfedgeIterT (mesh_ref _mesh, HalfedgeHandle _heh)
| Construct with mesh and start halfedge.
| ConstFaceHalfedgeIterT (const ConstFaceHalfedgeIterT &_rhs)
| Copy constructor.
ConstFaceHalfedgeIterT & | operator= (const ConstFaceHalfedgeIterT< Mesh > &_rhs)
| Assignment operator.
| ConstFaceHalfedgeIterT (const FaceHalfedgeIterT< Mesh > &_rhs)
| construct from non-const circulator type
ConstFaceHalfedgeIterT & | operator= (const FaceHalfedgeIterT< Mesh > &_rhs)
| assign from non-const circulator
bool | operator== (const ConstFaceHalfedgeIterT &_rhs) const
| Equal ?
bool | operator!= (const ConstFaceHalfedgeIterT &_rhs) const
| Not equal ?
ConstFaceHalfedgeIterT & | operator++ ()
| Pre-Increment (next cw target).
ConstFaceHalfedgeIterT & | operator-- ()
| Pre-Decrement (next ccw target).
HalfedgeHandle | current_halfedge_handle () const
| Get the current halfedge.
Mesh::HalfedgeHandle | handle () const
| Return the handle of the current target.
| operator typename Mesh::HalfedgeHandle () const
| Cast to the handle of the current target.
reference | operator * () const
| Return a reference to the current target.
pointer | operator-> () const
| Return a pointer to the current target.
| operator bool () const
| Returns whether the circulator is still valid.

## Detailed Description

### template<class Mesh>
class OpenMesh::Iterators::ConstFaceHalfedgeIterT< Mesh >

Circulator.

## Member Function Documentation

template<class Mesh>

HalfedgeHandle OpenMesh::Iterators::ConstFaceHalfedgeIterT< Mesh >::current_halfedge_handle | ( |  | ) | const`[inline]`

Get the current halfedge.

There are `Vertex*Iters` and `Face*Iters`. For both the current state is defined by the current halfedge. This is what this method returns.

template<class Mesh>

OpenMesh::Iterators::ConstFaceHalfedgeIterT< Mesh >::operator bool | ( |  | ) | const`[inline]`

Returns whether the circulator is still valid.

After one complete round around a vertex/face the circulator becomes invalid, i.e. this function will return `false`. Nevertheless you can continue circulating. This method just tells you whether you have completed the first round.

The documentation for this class was generated from the following file:

- Core/Mesh/Iterators/CirculatorsT.hh